Application
Get Application List
List all application names in the virtual host.
Request
GET /v1/vhosts/{vhost}/apps
Header
Authorization: Basic {credentials}
# Authorization
Credentials for HTTP Basic Authentication created with <AccessToken>
Responses
200 Ok
The request has succeeded
Header
Content-Type: application/jsonBody
{
"statusCode": 200,
"message": "OK",
"response": [
"app",
"app2",
"app3"
]
}
# statusCode
Same as HTTP Status Code
# message
A human-readable description of the response code
# response
Json array containing a list of application names401 Unauthorized
Authentication required
Header
WWW-Authenticate: Basic realm=”OvenMediaEngine”Body
{
"message": "[HTTP] Authorization header is required to call API (401)",
"statusCode": 401
}404 Not Found
The given vhost name could not be found.
Body
{
"message": "[HTTP] Could not find the virtual host: [default1] (404)",
"statusCode": 404
}Create Application
Create application in the virtual host
Request
Responses
207 Multi-Status
There might be a mixture of responses.
Header
Body
It responds with Json array for each request.
Get Application Information
Request
Responses
Patch Application Information
Modify application settings. If this request succeeds, the Application will be restarted.
Request
PATCH /v1/vhosts/{vhost}/apps/{app}
Header
Body
Write the value you want to modify. However, name and outputProfiles cannot be modified.
Responses
Delete Application
Request
Responses
Last updated
Was this helpful?